function displayMarked(h,inds)
if (nargin==0)
    h=gcf;
end

if (nargin<=1)
    inds=[1,2,3];
end
ds=get(h,'UserData');
minv=min(ds.im(:));

ds.im=ds.im-minv;
maxv=max(ds.im(:));
sp=1-maxv;
mv=-sp*0.7;
ds.im=ds.im-mv;

im2=ds.oim-ds.im;

minv=min(im2(:));
im2=im2-minv;
maxv=max(im2(:));
sp=1-maxv;
if (sp>0)
mv=-sp*0.7;
im2=im2-mv;
end


subplot(1,3,3)
hold off
imshow(max(min(im2,1),0));
subplot(1,3,2)
hold off
imshow(max(min(ds.im,1),0))
subplot(1,3,1)
hold off
imshow(max(min(ds.oim,1),0))

for i=inds
    subplot(1,3,i)
    hold on, plot(ds.xf,ds.yf,'.b');
    hold on, plot(ds.xb,ds.yb,'.r');
    for j=1:length(ds.sxf)
        plot(ds.sxf{j},ds.syf{j},'.b')
        plot(ds.sxf{j}([1:end,1]),ds.syf{j}([1:end,1]),'b')
        
    end
    for j=1:length(ds.sxb)
        plot(ds.sxb{j},ds.syb{j},'.r')
        plot(ds.sxb{j}([1:end,1]),ds.syb{j}([1:end,1]),'r')
    end
end
    
    
